> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Post token comment 



## OpenAPI

````yaml post /token/{tokenId}/comment/{id}/{action}
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{tokenId}/comment/{id}/{action}:
    post:
      tags:
        - Tokens
        - Token Comment Upvote
      operationId: TokenController_upvote
      parameters:
        - name: tokenId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            format: int64
            type: integer
        - name: action
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommentUpvoteEntityResponse'
components:
  schemas:
    CommentUpvoteEntityResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CommentUpvoteEntity'
      required:
        - data
    CommentUpvoteEntity:
      type: object
      properties:
        user:
          type: string
        comment:
          format: int64
          type: integer
        time:
          format: date-time
          type: string
        vote:
          type: boolean
      required:
        - user
        - comment
        - time
        - vote

````